---
version: "3.3"
services:

   test-runner:
      image: test-runner
      container_name: test-runner
      build: ./
      environment:
      SUT_BASE_URL: http://backend-server:10350/
      SUT_MONGO_URL: mongodb://backend-database
      SUT_RABBITMQ_URL: amqp://rabbitmq
      SUT_MONGO_DATABASE: items
      SUT_MONGO_COLLECTION: items
      TEST_TIMEOUT_MS: 5000
      volumes:
         - type: bind
           source: ./
           target: /app/tests
           read_only: true
         - type: bind
           source: ./
           target: /workspaces/inventorybackend/testing/test-runner/openapi.yaml
           read_only: true
      networks:
         - testing-network
   networks:
      testing-network:
      external: true
